Package org.springframework.test.context

# Annotation Interface BootstrapWith

@Target(TYPE) @Retention(RUNTIME) @Documented @Inherited public @interface BootstrapWith
`@BootstrapWith` is an annotation that can be applied to a test class to define metadata that is used to determine how to bootstrap the Spring TestContext Framework.

This annotation may also be used as a meta-annotation to create custom composed annotations. Note, however, that a locally declared `@BootstrapWith` annotation (i.e., one that is directly present on the current test class) will override any meta-present declarations of `@BootstrapWith`.

This annotation will be inherited from an enclosing test class by default. See `@NestedTestConfiguration` for details.

Since:
  4.1
Author:
  Sam Brannen
See Also:
  - `BootstrapContext`
  - `TestContextBootstrapper`

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`Class<? extends TestContextBootstrapper>`
`value`
The `TestContextBootstrapper` to use to bootstrap the Spring TestContext Framework.

## Element Details

### value

Class<? extends TestContextBootstrapper> value
The `TestContextBootstrapper` to use to bootstrap the Spring TestContext Framework.

Default:
  org.springframework.test.context.TestContextBootstrapper.class